package com.greenorange.promotion.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "参数:String", requiredProperties = {"templateString"})
public class CommonStringRequest implements Serializable {


    /**
     * 字符串
     */
    @NotBlank(message = "字符串不能为空")
    @Schema(description = "String", example = "templateString")
    private String templateString;


    @Serial
    private static final long serialVersionUID = 1L;
}
