package com.greenorange.promotion.model.dto.project;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

import com.greenorange.promotion.common.PageRequest;

/**
 * 项目查询请求体，继承自分页请求 PageRequest
 */
@Data
@Schema(description = "项目查询请求体", requiredProperties = {"current", "pageSize"})
public class ProjectQueryRequest extends PageRequest implements Serializable {

    /**
     * 项目 ID
     */
    @Schema(description = "项目 ID", example = "1")
    @Min(value = 1L, message = "项目 ID不能小于1")
    private Long id;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称", example = "美团省钱包")
    private String projectName;


    @Serial
    private static final long serialVersionUID = 1L;
}

