package com.greenorange.promotion.model.dto.promoCodeApply;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

/**
 * 推广码申请请求体
 */
@Data
@Schema(description = "推广码申请记录添加请求体", requiredProperties = {
        "salespersonName",
        "salespersonPhone",
        "projectId",
})
public class PromoCodeApplyRequest implements Serializable {

    /**
     * 业务员姓名
     */
    @NotBlank(message = "业务员姓名不能为空")
    @Schema(description = "业务员姓名", example = "chenxinzhi")
    private String salespersonName;

    /**
     * 业务员手机号
     */
    @NotBlank(message = "业务员手机号不能为空")
    @Schema(description = "业务员手机号", example = "15888610253")
    private String salespersonPhone;

    /**
     * 项目ID
     */
    @Min(value = 1L, message = "项目ID ID不能小于1")
    @Schema(description = "项目ID", example = "1")
    private Long projectId;


}
