package com.greenorange.promotion.model.dto.subUserProjectCommission;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 下级用户项目明细抽佣更新请求体
 */
@Data
@Schema(description = "下级用户项目明细抽佣更新请求体", requiredProperties = {
                "id",
                "currentCommissionRate",
})
public class SubUserProjectCommissionUpdateRequest implements Serializable {

    /**
     * 下级用户抽佣记录ID
     */
    @Min(value = 1L, message = "下级用户抽佣记录ID ID不能小于1")
    @Schema(description = "下级用户抽佣记录ID", example = "1")
    private Long id;

    /**
     * 当前抽佣比例
     */
    @Schema(description = "当前抽佣比例", example = "4")
    private BigDecimal currentCommissionRate;


    @Serial
    private static final long serialVersionUID = 1L;
}