package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 课程章节表
 * @TableName course_chapter
 */
@TableName(value ="course_chapter")
@Data
public class CourseChapter implements Serializable {
    /**
     * 章节ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 章节名称
     */
    private String name;

    /**
     * 章节时长（格式可自定义，如"00:10:00"）
     */
    private Long duration;

    /**
     * 试看权限[全集试看,部分试看,关闭,开启]
     */
    private String permissions;

    /**
     * 视频文件 view 值
     */
    private String videoView;

    /**
     * 所属课程ID
     */
    private Long courseId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}