package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 推广码信息表
 * @TableName promo_code
 */
@TableName(value ="promo_code")
@Data
public class PromoCode implements Serializable {
    /**
     * 推广码ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 推广码信息key
     */
    private String promoCodeInfoKey;

    /**
     * 推广码链接
     */
    private String promoCodeLink;

    /**
     * 推广码图片
     */
    private String promoCodeImage;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 推广码状态(true:占用，false:空闲)
     */
    private Boolean promoCodeStatus;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}