package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 推广记录表
 * @TableName promo_record
 */
@TableName(value ="promo_record")
@Data
public class PromoRecord implements Serializable {
    /**
     * 推广记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 被推广课程ID
     */
    private Long courseId;

    /**
     * 下级用户ID
     */
    private Long subUserId;

    /**
     * 下级用户昵称
     */
    private String nickName;

    /**
     * 下级用户手机号
     */
    private String phone;

    /**
     * 下级带给上级的收益
     */
    private BigDecimal benefits;

    /**
     * 绑定时间（字符串格式）
     */
    private String bindTime;

    /**
     * 推广类型
     */
    private Object promoType;

    /**
     * 推广人（上级用户）ID
     */
    private Long userId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}