package com.greenorange.promotion.model.vo.course;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "课程卡片 视图对象")
public class CourseCardVO implements Serializable {

    /**
     * 课程ID
     */
    @Schema(description = "课程ID", example = "1")
    private Long id;

    /**
     * 课程名称
     */
    @Schema(description = "课程名称", example = "数据分析工程师训练营")
    private String name;

    /**
     * 课程类别[考公考研,自媒体,财经]
     */
    @Schema(description = "课程类别[考公考研,自媒体,财经]", example = "自媒体")
    private String type;

    /**
     * 课程图片URL
     */
    @Schema(description = "课程图片URL", example = "324IEHJDE")
    private String image;

    /**
     * 课程原价
     */
    @Schema(description = "课程原价", example = "3499")
    private BigDecimal originPrice;

    /**
     * 折扣价格
     */
    @Schema(description = "折扣价格", example = "2499")
    private BigDecimal discountPrice;

    /**
     * 已下单人数
     */
    @Schema(description = "已下单人数", example = "100")
    private Integer orderCount;


    @Serial
    private static final long serialVersionUID = 1L;

}
