package com.greenorange.promotion.model.vo.courseChapter;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 课程章节 视图对象
 */
@Data
@Schema(description = "课程章节 视图对象")
public class CourseChapterVO implements Serializable {

    /**
     * 课程章节ID
     */
    @Schema(description = "课程章节ID", example = "1")
    private Long id;

    /**
     * 章节名称
     */
    @Schema(description = "章节名称", example = "企业经营管理者为什么必须懂财务？")
    private String name;

    /**
     * 章节时长(单位：秒)
     */
    @Schema(description = "章节时长", example = "600")
    private Long duration;

    /**
     * 试看权限[全集试看,部分试看,关闭,开启]
     */
    @Schema(description = "试看权限[全集试看,部分试看,关闭,开启]", example = "全集试看")
    private String permissions;

    /**
     * 视频文件 view 值
     */
    @Schema(description = "视频文件 view 值", example = "3E29KDS9")
    private String videoView;

    /**
     * 所属课程ID
     */
    @Schema(description = "所属课程ID", example = "所属课程ID ID不能小于1")
    private Long courseId;


    @Serial
    private static final long serialVersionUID = 1L;
}
