package com.greenorange.promotion.model.vo.courseOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 课程订单 视图对象
 */
@Data
@Schema(description = "课程订单 视图对象")
public class CourseOrderVO implements Serializable {

    /**
     * 课程订单ID
     */
    @Schema(description = "课程订单ID", example = "1")
    private Long id;

    /**
     * 订单号
     */
    @Schema(description = "订单号", example = "202506241339232334d234234243")
    private String orderNumber;

    /**
     * 课程ID
     */
    @Schema(description = "课程ID", example = "1")
    private Long courseId;

    /**
     * 课程名称
     */
    @Schema(description = "课程名称", example = "数据分析工程师训练营")
    private String name;

    /**
     * 课程类别
     */
    @Schema(description = "课程类别", example = "自媒体")
    private String type;

    /**
     * 课程封面图片URL
     */
    @Schema(description = "课程封面图片URL", example = "32DHDF3KI")
    private String image;

    /**
     * 课程原价
     */
    @Schema(description = "课程原价", example = "100.00")
    private BigDecimal originPrice;

    /**
     * 折扣价格
     */
    @Schema(description = "折扣价格", example = "50.00")
    private BigDecimal discountPrice;

    /**
     * 订单总金额
     */
    @Schema(description = "订单总金额", example = "100.00")
    private BigDecimal totalAmount;

    /**
     * 支付交易号
     */
    @Schema(description = "支付交易号", example = "4342348232388888833333333333")
    private String transactionNumber;

    /**
     * 订单状态[交易关闭,交易成功,待支付,已退款]
     */
    @Schema(description = "订单状态[交易关闭,交易成功,待支付,已退款]", example = "交易成功")
    private String orderStatus;

    /**
     * 用户id
     */
    @Schema(description = "用户id", example = "1")
    private Long userId;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间", example = "2025-06-24 13:39:23")
    private Date createTime;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间", example = "2025-06-24 13:39:23")
    private Date updateTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
