package com.greenorange.promotion.model.vo.project;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProjectCardVO implements Serializable {

    /**
     * 项目 ID
     */
    @Schema(description = "项目 ID", example = "1")
    private Long id;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称", example = "美团省钱包")
    private String projectName;

    /**
     * 项目价格
     */
    @Schema(description = "项目价格", example = "6.88")
    private BigDecimal projectPrice;

    /**
     * 当前推广人数
     */
    @Schema(description = "当前推广人数", example = "10")
    private Integer currentPromotionCount;

    /**
     * 项目图片URL
     */
    @Schema(description = "项目图片URL", example = "8E9WE24M")
    private String projectImage;

    /**
     * 项目结算周期
     */
    @Schema(description = "项目结算周期", example = "2")
    private Integer projectSettlementCycle;


    /**
     * 项目状态[项目运行(running)|人数已满(full)|项目暂停(paused)]
     */
    @Schema(description = "项目状态[项目运行(running)|人数已满(full)|项目暂停(paused)]", example = "running")
    private String projectStatus;

    @Serial
    private static final long serialVersionUID = 1L;

}
