package com.greenorange.promotion.model.vo.userAccount;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Schema(description = "用户账户情况 视图对象")
public class UserAccountConditionVO implements Serializable {

    /**
     * 当前余额
     */
    @Schema(description = "当前余额", example = "10.00")
    private BigDecimal currentBalance;

    /**
     * 银行卡号
     */
    @Schema(description = "银行卡号", example = "5105105105105100")
    private String bankCardNumber;


    @Serial
    private static final long serialVersionUID = 1L;

}
