package com.greenorange.promotion.model.vo.userInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户表 视图对象
 */
@Data
@Schema(description = "用户表 视图对象")
public class UserInfoVO implements Serializable {

    /**
     * 用户表 ID
     */
    @Schema(description = "用户ID", example = "1")
    private Long id;

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "chenxinzhi")
    private String nickName;

    /**
     * 用户头像URL
     */
    @Schema(description = "用户头像URL", example = "http://xxx.png")
    private String userAvatar;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;


    /**
     * 账号
     */
    @Schema(description = "账号", example = "qingcheng")
    private String userAccount;


    /**
     * 密码（建议加密存储）
     */
    @Schema(description = "密码（建议加密存储）", example = "qingcheng")
    private String userPassword;

    /**
     * 邀请码
     */
    @Schema(description = "邀请码", example = "666999")
    private String invitationCode;

    /**
     * 用户角色
     */
    @Schema(description = "用户角色", example = "user")
    private String userRole;

    /**
     * 上级用户id
     */
    @Schema(description = "上级用户id", example = "1")
    private Long parentUserId;


    @Serial
    private static final long serialVersionUID = 1L;
}
