package com.greenorange.promotion.model.vo.withdrawalApply;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 提现申请记录 视图对象
 */
@Data
@Schema(description = "提现申请记录 视图对象")
public class WithdrawalApplyVO implements Serializable {

    /**
     * 提现申请记录ID
     */
    @Schema(description = "提现申请记录ID", example = "1")
    private Long id;

    /**
     * 持卡人
     */
    @Schema(description = "持卡人", example = "chenxinzhi")
    private String cardHolder;

    /**
     * 身份证号
     */
    @Schema(description = "身份证号", example = "110101199001011234")
    private String idCardNumber;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;

    /**
     * 银行卡号
     */
    @Schema(description = "银行卡号", example = "5105105105105100")
    private String bankCardNumber;

    /**
     * 开户银行
     */
    @Schema(description = "开户银行", example = "中国工商银行")
    private String openBank;

    /**
     * 提现金额
     */
    @Schema(description = "提现金额", example = "")
    private BigDecimal withdrawnAmount;

    /**
     * 提现状态[提现中(processing)|提现成功(success)|提现失败(failed)]
     */
    @Schema(description = "提现状态", example = "processing")
    private String withdrawalStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}
