package com.greenorange.promotion.service.project;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.greenorange.promotion.model.dto.CommonRequest;
import com.greenorange.promotion.model.dto.project.ProjectQueryRequest;
import com.greenorange.promotion.model.entity.Project;
import com.baomidou.mybatisplus.extension.service.IService;
import com.greenorange.promotion.model.vo.project.ProjectCardVO;
import com.greenorange.promotion.model.vo.project.ProjectVO;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

/**
* @author 35880
* @description 针对表【project(项目表)】的数据库操作Service
* @createDate 2025-05-06 14:19:08
*/
public interface ProjectService extends IService<Project> {


    /**
     * 获取查询条件
     */
    QueryWrapper<Project> getQueryWrapper(ProjectQueryRequest projectQueryRequest);


    /**
     * 小程序用户查看项目列表
     * @return 项目列表
     */
    List<ProjectCardVO> queryProjectCardList(HttpServletRequest request);


    /**
     * web端管理员根据id查询项目
     */
    ProjectVO queryProjectById(CommonRequest commonRequest);
}
